Categorized | News

Upgrade your PHP if you’re using phpDocumentor

Posted on 02 July 2003 by Demian Turner

Thanks to Greg Beaver for this tip: if you’re running phpDocumentor with anything but the latest stable version of PHP (4.3.2 at the time of writing) you may run into problems is you use the constants  __FUNCTION__ or __CLASS__ in your code.

By problems I mean it could crash PHP altogether, this is to do with a known bug with tokenizer now fixed.

Thanks to Greg’s help a new version of PHPseagull‘s api docs is now available:

http://www.phpkitchen.com/phpseagull/api/

Check out phpDocumentor if you’re still ‘on the market’ for a documentation tool.  This app, by the way, has become the standard documentation tool for PEAR developers and as long as you use PHPdoc style comments, which are effectively identical to Javadoc comments, it will produce great api docs for you.

Bookmark and Share

Leave a Reply

Categories

Books

Demian Turner's currently-reading book recommendations, reviews, favorite quotes, book clubs, book trivia, book lists

Facebook